# Direct Debit

### End-to-end flow

Use these diagrams to understand the Direct Debit lifecycle.

### Binding

{% @mermaid/diagram content="sequenceDiagram
participant merchant as Merchant
participant finnet as Finpay
participant bank as Bank
participant user as Customer

merchant->>finnet: Req binding
finnet-->>merchant: Res binding
merchant->>user: Redirect to finpay binding page
user->>finnet: Entry card data
finnet->>bank: Req binding
bank->>user: Send OTP
bank-->>finnet: Res binding
finnet->>user: Show OTP page
user-->>finnet: Entry OTP
finnet->>bank: Req OTP verification
bank-->>finnet: Res OTP verification
finnet->>user: Show result page
finnet->>merchant: Send notification
merchant-->>finnet: Res notification" %}

***

### Transaction with OTP

{% @mermaid/diagram content="sequenceDiagram
participant merchant as Merchant
participant finnet as Finpay
participant bank as Bank
participant user as Customer

merchant->> finnet : Req initiate
finnet->>bank: Req initiate
bank->>user: Send OTP
bank-->>finnet: Res initiate
finnet-->>merchant : Res initiate
merchant->>user: Show merchant's otp page
user->>merchant: Entry otp
merchant->> finnet : Req otp verification
finnet->>bank: Req otp verification
bank-->>finnet: Res otp verification
finnet-->>merchant : Res otp verification
merchant->>user: Show result page
bank->>finnet: Send notification
finnet->>merchant: Send notification
merchant-->>finnet: Res notification" %}

***

### Unbinding

{% @mermaid/diagram content="sequenceDiagram
participant merchant as Merchant
participant finnet as Finpay
participant bank as Bank

merchant->> finnet : Req unbinding
finnet->>bank: Req unbinding
bank-->>finnet: Res unbinding
finnet-->>merchant : Res unbinding" %}

***

### Direct Debit Services

<table><thead><tr><th width="102">Source of Fund</th><th width="100">Binding</th><th width="116">Unbinding</th><th width="112">Purchase</th><th width="111">Purchase with OTP</th><th width="124">Purchase OTP Verification</th><th width="81">Limit</th><th width="111">Request OTP Limit</th></tr></thead><tbody><tr><td>BRI</td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td><td></td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td><td></td><td></td></tr><tr><td>Mandiri</td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td><td><i class="fa-check">:check:</i></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/copy-of-core-api/direct-debit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
